Name:           bridge-method-injector
Version:        1.14
Release:        9%{?dist}
Summary:        Evolve Java classes without breaking compatibility
# License is specified in pom file
License:        MIT
URL:            https://github.com/infradna/bridge-method-injector
BuildArch:      noarch

Source0:        https://github.com/infradna/%{name}/archive/%{name}-parent-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
# Upstream doesn't care about license texts in repository
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven.scm:maven-scm-provider-gitexe)
BuildRequires:  mvn(org.jenkins-ci:annotation-indexer)
BuildRequires:  mvn(org.ow2.asm:asm-all)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
This package contains small Java library for generating
synthetic bridge methods with different return types
to help backward compatibility.

%package -n bridge-method-annotation
Summary:        Bridge method injection annotations

%description -n bridge-method-annotation
This package contains annotations for injecting bridge methods.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-parent-%{version}

cp %{SOURCE1} LICENSE

%mvn_package :bridge-method-annotation bridge-method-annotation

# We don't have this extension
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-svn']]"
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-svn']]" injector
%pom_remove_plugin :nexus-staging-maven-plugin

# We don't have asm-all with debug information
%pom_change_dep :asm-debug-all :asm-all injector

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files -n bridge-method-annotation -f .mfiles-bridge-method-annotation
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.14-5
- Add missing build-requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 29 2015 Michal Srb <msrb@redhat.com> - 1.14-3
- Move annotation into subpackage

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 Michal Srb <msrb@redhat.com> - 1.14-1
- Update to upstream version 1.14

* Mon Aug 11 2014 Michal Srb <msrb@redhat.com> - 1.13-1
- Update to upstream version 1.13

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 25 2014 Michal Srb <msrb@redhat.com> - 1.12-1
- Update to upstream version 1.12

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Initial package

